export declare const enum Token {
    Type = 255,
    PrecStart = 8,
    Precedence = 3840,
    IsLogical = 16,
    IsStatementStart = 4096,
    IsExpressionStart = 8192,
    IsAutomaticSemicolon = 16384,
    IsPatternStart = 32768,
    IsIdentifier = 65536,
    IsAssignOp = 131072,
    IsBinaryOp = 262144,
    IsInOrOf = 524288,
    IsFutureReserved = 1048576,
    IsPropertyOrCall = 2097152,
    IsMember = 4194304,
    IsDotDotDot = 8388608,
    IsProperty = 16777216,
    IsComma = 33554432,
    IsSwitchClauce = 67108864,
    IsKeyword = 134217728,
    IsCaseOrDefault = 268435456,
    IsVarLexical = 536870912,
    IsSemicolon = 1073741824,
    EOF = 16384,
    Identifier = 73729,
    NumericLiteral = 16785410,
    BigIntLiteral = 16785411,
    StringLiteral = 16785412,
    RegularExpression = 8197,
    FalseKeyword = 151003142,
    TrueKeyword = 151003143,
    NullKeyword = 151003144,
    TemplateTail = 6299657,
    TemplateCont = 6299658,
    Arrow = 11,
    LeftParen = 2105356,
    LeftBrace = 40973,
    Period = 6291470,
    Ellipsis = 8388623,
    RightBrace = 16400,
    RightParen = 17,
    Semicolon = 1140871186,
    Comma = 33554451,
    LeftBracket = 23109652,
    RightBracket = 21,
    Colon = 22,
    QuestionMark = 23,
    Nullish = 262424,
    QuestionMarkPeriod = 2097177,
    SingleQuote = 26,
    DoubleQuote = 27,
    Increment = 2105372,
    Decrement = 2105373,
    Assign = 131102,
    ShiftLeftAssign = 131103,
    ShiftRightAssign = 131104,
    LogicalShiftRightAssign = 131105,
    ExponentiateAssign = 131106,
    AddAssign = 131107,
    SubtractAssign = 131108,
    MultiplyAssign = 131109,
    DivideAssign = 131110,
    ModuloAssign = 131111,
    BitwiseXorAssign = 131112,
    BitwiseOrAssign = 131113,
    BitwiseAndAssign = 131114,
    LogicalOrAssign = 131115,
    LogicalAndAssign = 131116,
    NullishAssign = 131117,
    TypeofKeyword = 134225966,
    DeleteKeyword = 134225967,
    VoidKeyword = 134225968,
    Negate = 8241,
    Complement = 8242,
    Add = 271667,
    Subtract = 272948,
    InKeyword = 135014453,
    InstanceofKeyword = 134490166,
    Multiply = 17049143,
    Modulo = 273208,
    Divide = 273209,
    Exponentiate = 273466,
    LogicalAnd = 271163,
    LogicalOr = 270908,
    StrictEqual = 272189,
    StrictNotEqual = 272190,
    LooseEqual = 272191,
    LooseNotEqual = 272192,
    LessThanOrEqual = 272449,
    GreaterThanOrEqual = 272450,
    LessThan = 272451,
    GreaterThan = 272452,
    ShiftLeft = 272709,
    ShiftRight = 272710,
    LogicalShiftRight = 272711,
    BitwiseAnd = 271944,
    BitwiseOr = 271433,
    BitwiseXor = 271690,
    VarKeyword = 671092811,
    LetKeyword = 537923660,
    ConstKeyword = 671092813,
    BreakKeyword = 201330766,
    CaseKeyword = 402653263,
    CatchKeyword = 134221904,
    ClassKeyword = 201334865,
    ContinueKeyword = 201330770,
    DebuggerKeyword = 201330771,
    DefaultKeyword = 402653268,
    DoKeyword = 201330773,
    ElseKeyword = 134217814,
    ExportKeyword = 134221911,
    ExtendsKeyword = 134217816,
    FinallyKeyword = 201330777,
    ForKeyword = 201330778,
    FunctionKeyword = 201334875,
    IfKeyword = 201330780,
    ImportKeyword = 201334877,
    NewKeyword = 134221918,
    ReturnKeyword = 201330783,
    SuperKeyword = 134226016,
    SwitchKeyword = 201330785,
    ThisKeyword = 134226018,
    ThrowKeyword = 201330787,
    TryKeyword = 201330788,
    WhileKeyword = 201330789,
    WithKeyword = 201330790,
    ImplementsKeyword = 1048679,
    InterfaceKeyword = 1048680,
    PackageKeyword = 1048681,
    PrivateKeyword = 1048682,
    ProtectedKeyword = 1048683,
    PublicKeyword = 1048684,
    StaticKeyword = 1048685,
    YieldKeyword = 1056878,
    AsKeyword = 65647,
    AsyncKeyword = 67182704,
    AwaitKeyword = 73841,
    ConstructorKeyword = 65650,
    GetKeyword = 65651,
    SetKeyword = 65652,
    FromKeyword = 65653,
    OfKeyword = 589942,
    EnumKeyword = 134217847,
    TargetIdentifier = 65655,
    MetaIdentifier = 65656,
    WhiteSpace = 121,
    CarriageReturn = 122,
    LineFeed = 123,
    Unknown = 124,
    EscapedIdentifier = 125,
    IdentifierOrKeyword = 126,
    FloatingPointLiteral = 16785535,
    SingleLine = 128,
    MultiLine = 129
}
export declare const KeywordDescTable: string[];
export declare function createToken<T extends Token>(source: string, tokenKind: T): any;
export declare let keywordLookup: {
    get: (key: any) => any;
    insert: (key: any, value: any) => any;
};
export declare function hash(): {
    get: (key: any) => any;
    insert: (key: any, value: any) => any;
};
//# sourceMappingURL=token.d.ts.map