import { Context } from './common';
import { RootNode } from './ast/root-node';
import { Script } from './ast/script-node';
import { Module } from './ast/module-node';
import { TextChangeRange } from './types';
import { Dictionary } from './dictionary/dictionary-map';
export interface Options {
    next?: boolean;
    loc?: boolean;
    disableWebCompat?: boolean;
    impliedStrict?: boolean;
    module?: boolean;
    cst?: boolean;
    ts?: boolean;
}
export declare function parseRoot(source: string, context: Context, options?: Options): Script | Module;
export declare function parseSourceFile(text: string, filename: string, context: Context, nodeCursor?: any): RootNode;
export declare function parseInNormalMode(source: string, context: Context, options?: Options): Script | Module;
export declare function parseInCustomMode(source: string, context: Context, options?: Options, dictionary?: Dictionary): Script | Module;
export declare function parseInRecoveryMode(text: string, filename: string, context: Context, options?: Options): RootNode;
export declare function parseInIncrementalMode(text: string, filename: string, _root: RootNode, _textChangeRange: TextChangeRange): RootNode;
//# sourceMappingURL=core.d.ts.map