export declare const enum DiagnosticCode {
    Unexpected = 0,
    UnexpectedKeyword = 1,
    UnexpectedIdentifier = 2,
    UnexpectedEOF = 3,
    ExpectedIdentifier = 4,
    Expected = 5,
    UnexpectedToken = 6,
    ExpectedExpression = 7,
    ExpectedStatement = 8,
    InvalidCharacter = 9,
    MissingFuncName = 10,
    MissingClassName = 11,
    UnterminatedRegExp = 12,
    DuplicateRegExpFlag = 13,
    UnknownRegExpFlag = 14,
    ExpectedParamDecl = 15,
    ExpectedLexical = 16,
    ExpectedForDecl = 17,
    StrictModeReserved = 18,
    ExpectedBindingIdent = 19,
    ExpectedAnIdentifier = 20,
    UnexpectedYieldAsIdent = 21,
    UnexpectedAwaitAsIdent = 22,
    AwaitInParameter = 23,
    YieldInParameter = 24,
    NewlineAfterThrow = 25,
    IllegalReturn = 26,
    CompundArrLit = 27,
    CompundObjLit = 28,
    ExpectedImportDecl = 29,
    ExpectedExportDecl = 30,
    NoSuperProperty = 31,
    NoSuperCall = 32,
    ChainingNoSuper = 33,
    InvalidExponentation = 34,
    StrictDelete = 35,
    ColonExpected = 36,
    YieldAsIdent = 37,
    AwaitAsIdent = 38,
    ExpectedAccessor = 39,
    StaticPrototype = 40,
    InvalidBreak = 41,
    IllegalContinue = 42,
    StrictWith = 43,
    InvalidCoalescing = 44,
    MissingDestructInit = 45,
    ExpectedArrow = 46,
    InvalidTrailSurrogate = 47,
    InvalidUnicodeEscapeSequence = 48,
    UnicodeOverflow = 49,
    InvalidHexEscapeSequence = 50,
    InvalidAstralCharacter = 51,
    UnterminatedTemplate = 52,
    UnsupportedUnicodeIdent = 53,
    TemplateBadEscape = 54,
    UnterminatedString = 55,
    StrictOctalEscape = 56,
    InvalidEightAndNine = 57,
    IdafterNumber = 58,
    MissingExponent = 59,
    InvalidBigIntLiteral = 60,
    UnexpectedIdentNumber = 61,
    BinarySequenceNoDigits = 62,
    OctalSequenceNoDigits = 63,
    HexSequenceNoDigits = 64,
    BinarySequence = 65,
    OctalSequence = 66,
    StrictOctal = 67,
    UnknownDigit = 68,
    ContinuousNumericSeparator = 69,
    TrailingNumericSeparator = 70,
    UnderscoreAfterZero = 71,
    SeparatorsDisallowed = 72,
    LetInStrict = 73,
    ForOfLet = 74,
    StrictFunction = 75,
    WebCompatFunction = 76,
    SloppyFunction = 77,
    ClassForbiddenAsStatement = 78,
    AsyncFunctionInSingleStatementContext = 79,
    ChainNoTemplate = 80,
    BlockBodyAccessedWithoutGroup = 81,
    ArrowOperatorToRight = 82,
    BlockBodyInvokedWithoutGroup = 83,
    BlockBodyTaggedWithoutGroup = 84,
    StrictInvalidLetInExprPos = 85,
    UnclosedComment = 86,
    InvalidLetConstBinding = 87,
    YieldAsFuncName = 88,
    AwaitAsFuncName = 89,
    UnexpectedYieldAsBIdent = 90,
    UnexpectedAwaitAsBIdent = 91,
    ExpectedSemicolon = 92,
    InvalidNewTarget = 93,
    ExportInScript = 94,
    ImportInScript = 95,
    iBDestruct = 96,
    InvalidLHS = 97,
    LHSPreOp = 98,
    LHSPostOp = 99,
    ObjCoverInit = 100,
    ForbiddenTrailing = 101,
    InvalidSPI = 102,
    LHSADestruct = 103,
    LHSAForLoop = 104,
    RestTrailing = 105,
    RestInit = 106,
    RestNotLast = 107,
    RestNotLastParam = 108,
    LHSForIn = 109,
    LHSForOf = 110,
    RestricedLet = 111,
    LHSForInD = 112,
    LHSForOfD = 113,
    MultipleOfDecl = 114,
    MultipleInDecl = 115,
    ExpectedVarDecl = 116,
    RedeclareBlockScopVar = 117,
    DuplicateIdentifier = 118,
    LexicalShadowsClauce = 119,
    NoCatchOrFinally = 120,
    NotAGen = 121,
    BoundClause = 122,
    DupLexBind = 123,
    DupBind = 124,
    ShadowClause = 125,
    UnknownLabel = 126,
    UnterminatedDirective = 127,
    MultipleDefaultsInSwitch = 128,
    OptionalChainingNoNew = 129,
    AsyncLineT = 130,
    LabelAsKeyword = 131,
    FuncGenLabel = 132,
    ExpectedString = 133,
    RedeclareVar = 134,
    NoExpBinding = 135,
    NoSuper = 136,
    DuplicateProto = 137,
    GetNoParam = 138,
    StrictFunctionName = 139,
    IllegalUseStrict = 140,
    AnnexBB32 = 141,
    AnnexBB34 = 142
}
//# sourceMappingURL=diagnostic-code.d.ts.map